<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    tools:context=".FragmentHeizung">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view_heizung"
        android:layout_width="match_parent"
        android:layout_height="470dp"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginTop="10dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="4dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <!-- Line 1 -->
            <CheckBox
                android:id="@+id/check_hzZeit1"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:textColor="#000000"
                android:textSize="25sp"
                app:layout_constraintEnd_toStartOf="@+id/switch_silentModeHz1"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DuplicateSpeakableTextCheck" />

            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/switch_silentModeHz1"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:enabled="true"
                android:theme="@style/Switch.TrackTint"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzZeit1"
                app:layout_constraintStart_toEndOf="@+id/check_hzZeit1"
                app:layout_constraintTop_toTopOf="parent"
                app:switchMinWidth="60dp" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzZeit1"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="20sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzZeit2"
                app:layout_constraintStart_toEndOf="@+id/switch_silentModeHz1"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />


            <!-- Line 2 -->

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzZeit2"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="20sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzVL1"
                app:layout_constraintStart_toEndOf="@+id/btn_hzZeit1"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzVL1"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:tag="Lamp1"
                android:text="@string/temp_tv"
                android:textAllCaps="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/btn_hzZeit2"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="TextContrastCheck,DuplicateSpeakableTextCheck" />

            <CheckBox
                android:id="@+id/check_hzZeit2"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:textColor="#000000"
                android:textSize="25sp"
                app:layout_constraintEnd_toStartOf="@+id/switch_silentModeHz2"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/check_hzZeit1" />

            <!-- Line 3 -->
            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/switch_silentModeHz2"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:enabled="true"
                android:theme="@style/Switch.TrackTint"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzZeit3"
                app:layout_constraintStart_toEndOf="@+id/check_hzZeit2"
                app:layout_constraintTop_toBottomOf="@+id/check_hzZeit1"
                app:switchMinWidth="60dp" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzZeit3"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="20sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzZeit4"
                app:layout_constraintStart_toEndOf="@+id/switch_silentModeHz2"
                app:layout_constraintTop_toBottomOf="@+id/btn_hzZeit1"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />


            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzZeit4"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="20sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzVL2"
                app:layout_constraintStart_toEndOf="@+id/btn_hzZeit3"
                app:layout_constraintTop_toBottomOf="@+id/btn_hzZeit2"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzVL2"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:tag="Lamp1"
                android:text="@string/temp_tv"
                android:textAllCaps="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/btn_hzZeit4"
                app:layout_constraintTop_toBottomOf="@+id/btn_hzVL1"
                tools:ignore="TextContrastCheck,DuplicateSpeakableTextCheck" />

            <CheckBox
                android:id="@+id/check_hzZeit3"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:textColor="#000000"
                android:textSize="25sp"
                app:layout_constraintEnd_toStartOf="@+id/switch_silentModeHz3"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/check_hzZeit2" />


            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/switch_silentModeHz3"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:enabled="true"
                android:theme="@style/Switch.TrackTint"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzZeit5"
                app:layout_constraintStart_toEndOf="@+id/check_hzZeit3"
                app:layout_constraintTop_toBottomOf="@+id/switch_silentModeHz2"
                app:switchMinWidth="60dp" />

            <!-- Line 4 -->

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzZeit5"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="20sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzZeit6"
                app:layout_constraintStart_toEndOf="@+id/switch_silentModeHz3"
                app:layout_constraintTop_toBottomOf="@+id/btn_hzZeit3"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzZeit6"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="#FFFFFF"
                android:textSize="20sp"
                android:visibility="visible"
                app:layout_constraintEnd_toStartOf="@+id/btn_hzVL3"
                app:layout_constraintStart_toEndOf="@+id/btn_hzZeit5"
                app:layout_constraintTop_toBottomOf="@+id/btn_hzZeit4"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/btn_hzVL3"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:tag="Lamp1"
                android:text="@string/temp_tv"
                android:textAllCaps="false"
                android:textColor="#FFFFFF"
                android:textSize="24sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/btn_hzZeit6"
                app:layout_constraintTop_toBottomOf="@+id/btn_hzVL2"
                tools:ignore="TextContrastCheck,DuplicateSpeakableTextCheck" />


        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.cardview.widget.CardView>



    <!-- Line 5 -->
    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btn_HzSend"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/button_text_color"
        android:text="@string/werte_ndern"
        android:textColor="#FFFFFF"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/card_view_heizung"
        tools:ignore="TextContrastCheck" />

</androidx.constraintlayout.widget.ConstraintLayout>